site_name: 知识总结
site_description: 知识总结文档
site_author: hugemaker
# site_url:  # 请在这里填写您的网站URL
strict: false

repo_name: 'shark163/doc'
repo_url: 'https://gitea.hugemaker.com.cn/shark163/doc'

nav:
  - 首页: index.md
  - arduino:
      - 软件安装与配置: Arduino/软件安装与库文件设置.md
      - arduino内置函数:
        - 引脚操作: Arduino/arduino内置函数/引脚操作.md
  - 行空板k10: 行空板K10/行空板K10小智ai智能体烧录.md
  - Mixly(米思齐)安装步骤: Mixly(米思齐)/软件安装.md
  - CPP:
      - 书籍:
          - 现代 C++ 教程：高速上手 C++11/14/17/20:
              - 目录: book/zh-cn/toc.md
              - 序言: book/zh-cn/00-preface.md
              - 第 1 章 迈向现代 C++: book/zh-cn/01-intro.md
              - 第 2 章 语言可用性的强化: book/zh-cn/02-usability.md
              - 第 3 章 语言运行期的强化: book/zh-cn/03-runtime.md
              - 第 4 章 容器: book/zh-cn/04-containers.md
              - 第 5 章 智能指针与内存管理: book/zh-cn/05-pointers.md
              - 第 6 章 正则表达式: book/zh-cn/06-regex.md
              - 第 7 章 并行与并发: book/zh-cn/07-parallel.md
              - 第 8 章 文件系统: book/zh-cn/08-filesystem.md
              - 第 9 章 其他杂项: book/zh-cn/09-others.md
              - 第 10 章 展望：C++20 简介: book/zh-cn/10-cpp20.md
              - 附录 1：进一步阅读的学习材料: book/zh-cn/appendix-1.md
              - 附录 2：现代 C++ 的最佳实践: book/zh-cn/appendix-2.md
              - 附录 3：现代 C++ 特性索引: book/zh-cn/appendix-3.md
          - cpp-primer:
              - 目录: Cpp-Primer/README.md
              - 第一章 开始: Cpp-Primer/1.开始.md
              - 第二章 变量和基本类型: Cpp-Primer/2.变量和基本类型.md
              - 第三章 字符串向量和数组: Cpp-Primer/3.字符串、向量和数组.md
              - 第四章 表达式: Cpp-Primer/4.表达式.md
              - 第五章 语句: Cpp-Primer/5.语句.md
              - 第六章 函数: Cpp-Primer/6.函数.md
              - 第七章 类: Cpp-Primer/7.类.md
              - 第八章 输入和输出: Cpp-Primer/8.IO库.md
              - 第九章 模板: Cpp-Primer/9.模板.md

theme:
  name: material
  language: zh
  palette:
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: white
      accent: indigo
      toggle:
        icon: material/weather-sunny
        name: 切换到夜间模式
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: grey       # ← 主色调设为灰色
      accent: blue-grey   # ← 强调色为蓝灰色
      toggle:
        icon: material/weather-night
        name: 切换到日间模式
  features:
    - navigation.tabs
    - navigation.instant
    - content.action.edit
  font:
    text: Fira Sans
    code: Fira Mono
  icon:
    logo: material/school

#markdown_extensions:
#  - admonition
#  - def_list
#  - footnotes
#  - meta
#  - toc:
#      permalink: ""
#  - pymdownx.arithmatex:
#      generic: true
#  - pymdownx.caret
#  - pymdownx.critic
#  - pymdownx.details
#  - pymdownx.emoji:
#      emoji_generator: !!python/name:pymdownx.emoji.to_svg
#  - pymdownx.highlight:
#      linenums: true
#  - pymdownx.inlinehilite
#  - pymdownx.keys
#  - pymdownx.magiclink
#  - pymdownx.mark
#  - pymdownx.smartsymbols
#  - pymdownx.superfences:
#      custom_fences:
#        - name: math
#          class: arithmatex
#          format: !!python/name:pymdownx.arithmatex.fence_mathjax_format
#  - pymdownx.tasklist:
#      custom_checkbox: true
#  - pymdownx.tilde
#  - pymdownx.tabbed:
#      alternate_style: true
#
#extra_javascript:
#  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js
#  - stylesheets/preload.js
#
#extra_css:
#  - stylesheets/background.css
